"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http = require("http");
const url = require("url");
const port = 3000;
const server = http.createServer((req, res) => {
    if (req.method === 'GET' && req.url) {
        const parsedUrl = url.parse(req.url, true);
        if (parsedUrl.pathname === '/testing') {
            res.writeHead(200, { 'Content-Type': 'application/json' });
            let total = 0;
            for (let i = 0; i < 5000000; i++) {
                total++;
            }
            let jsonResponse = { totalCount: total };
            res.end(JSON.stringify(jsonResponse));
        }
        else {
            res.writeHead(404, { 'Content-Type': 'text/plain' });
            res.end('ws no encontrado');
        }
    }
    else {
        res.writeHead(405, { 'Content-Type': 'text/plain' });
        res.end('Solo GET');
    }
});
server.listen(port, () => {
    console.log(`Servidor escuchando en el puerto ${port}`);
});
