"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdvancedAIExample = exports.AdvancedAIIntent = exports.AdvancedAIExtended = exports.AdvancedAI = void 0;
class AdvancedAI {
    constructor() {
        this.id = null;
        this.description = null;
        this.intents = [];
        this.status = null;
    }
}
exports.AdvancedAI = AdvancedAI;
class AdvancedAIExtended extends AdvancedAI {
    constructor() {
        super(...arguments);
        this.createdByUserId = null;
        this.createdDate = null;
        this.lastModifiedByUserId = null;
        this.lastModifiedDate = null;
    }
}
exports.AdvancedAIExtended = AdvancedAIExtended;
class AdvancedAIIntent {
    constructor() {
        this.appId = null;
        this.id = null;
        this.name = null;
        this.prompt = null;
        this.examples = [];
    }
}
exports.AdvancedAIIntent = AdvancedAIIntent;
class AdvancedAIExample {
    constructor() {
        this.appId = null;
        this.intentId = null;
        this.id = null;
        this.text = null;
    }
}
exports.AdvancedAIExample = AdvancedAIExample;
