"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HIGH_WAIT_TIME_SECONDS = exports.LOW_WAIT_TIME_SECONDS = exports.HIGH_LOAD_PROCESS_TIME = exports.LOW_LOAD_PROCESS_TIME = exports.IDLE_TIME_MILLISECOND = exports.MAXIMUM_TIME_FOR_SLOW_EXECUTIONS_IN_SECONDS = exports.MAXIMUM_TIME_TO_WAIT_TO_STOP_A_FAST_TASK_IN_SECONDS = exports.MAXIMUM_TIME_FOR_FAST_EXECUTIONS_IN_SECONDS = exports.TIME_TO_STOP_THE_SUPERVISOR_IN_SECONDS = exports.WAIT_TIME_BETWEEN_SUPERVISOR_EXECUTIONS_IN_SECONDS = exports.TRANSACTION_TIMEOUT = exports.DISABLED_TASK = exports.SUPERVISOR_RATE = exports.BACKGROUND_SUPERVISOR = exports.DEFAULT_BACKGROUND_SUPERVISOR_CPU = exports.AVAILABLE_PROCESS = exports.RELOAD_TASK = exports.RELOAD_TIME = exports.SERVER_NAME = exports.SERVER_MODE = void 0;
exports.SERVER_MODE = 'prod';
exports.SERVER_NAME = null;
exports.RELOAD_TIME = '00:00';
exports.RELOAD_TASK = 'supervisor';
exports.AVAILABLE_PROCESS = 16;
exports.DEFAULT_BACKGROUND_SUPERVISOR_CPU = 1;
exports.BACKGROUND_SUPERVISOR = [exports.RELOAD_TASK, 'TranscriptionsUploadEnqueue'];
exports.SUPERVISOR_RATE = 1;
exports.DISABLED_TASK = exports.SERVER_MODE.toLowerCase() === 'dev' ? [] : [];
exports.TRANSACTION_TIMEOUT = 30 * 60 * 1000;
exports.WAIT_TIME_BETWEEN_SUPERVISOR_EXECUTIONS_IN_SECONDS = 60;
exports.TIME_TO_STOP_THE_SUPERVISOR_IN_SECONDS = 2 * 60 + 10;
exports.MAXIMUM_TIME_FOR_FAST_EXECUTIONS_IN_SECONDS = 2 * 60;
exports.MAXIMUM_TIME_TO_WAIT_TO_STOP_A_FAST_TASK_IN_SECONDS = exports.MAXIMUM_TIME_FOR_FAST_EXECUTIONS_IN_SECONDS - 10;
exports.MAXIMUM_TIME_FOR_SLOW_EXECUTIONS_IN_SECONDS = 35 * 60;
exports.IDLE_TIME_MILLISECOND = exports.SERVER_MODE.toLowerCase() === 'dev' ? 2 * 60 * 1000 : 15 * 60 * 1000;
exports.LOW_LOAD_PROCESS_TIME = 2 * 60 * 1000;
exports.HIGH_LOAD_PROCESS_TIME = 35 * 60 * 1000;
exports.LOW_WAIT_TIME_SECONDS = 5;
exports.HIGH_WAIT_TIME_SECONDS = 2 * 60;
